EsriShapeExport.ESEInterface (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.shape
Class EsriShapeExport.ESEInterface

    java.lang.Object
      com.bbn.openmap.dataAccess.shape.EsriShapeExport.ESEInterface

Enclosing class:
  EsriShapeExport

    public class EsriShapeExport.ESEInterface

extends java.lang.Object

A helper class to manage a specific instance of a EsriGraphicList, it's data model, etc. Provides a GUI to display and change the name of the file, and the DbfTableModel GUI, and also writes the files out.

Field Summary
`protected java.lang.String` | `filePath`
`protected javax.swing.JTextField` | `filePathField`
`protected EsriGraphicList` | `list`
`protected DbfTableModel` | `model`
`protected java.lang.String` | `suffix`

Constructor Summary
`EsriShapeExport.ESEInterface(EsriGraphicList eglist, java.lang.String filePathString, java.lang.String fileNameSuffix)`

Method Summary
`java.awt.Component` | `getGUI()`
`protected void` | `setFilePath(java.lang.String path)`
`void` | `write()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### list

    protected EsriGraphicList list

### model

    protected DbfTableModel model

### suffix

    protected java.lang.String suffix

### filePath

    protected java.lang.String filePath

### filePathField

    protected javax.swing.JTextField filePathField

Constructor Detail

### EsriShapeExport.ESEInterface

    public EsriShapeExport.ESEInterface(EsriGraphicList eglist,
                                        java.lang.String filePathString,
                                        java.lang.String fileNameSuffix)

Method Detail

### getGUI

    public java.awt.Component getGUI()

### setFilePath

    protected void setFilePath(java.lang.String path)

### write

    public void write()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details